Page MenuHomePhabricator

Don't use jQuery's live method in MoodBar
Closed, ResolvedPublic

Description

ext.moodBar.dashboard.js uses .live(), which has been entirely removed, in several places.

Details

Related Gerrit Patches:
mediawiki/extensions/MoodBar : wmf/1.25wmf13Stop using jQuery.live
mediawiki/extensions/MoodBar : wmf/1.25wmf12Stop using jQuery.live
mediawiki/extensions/MoodBar : masterStop using jQuery.live

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF added subscribers: Unknown Object (MLST), greg, Jdforrester-WMF and 5 others.

It's not possible to respond to, hide or delete feedback anymore. Is that related to this bug?

Krenair added a subscriber: Krenair.Jan 3 2015, 6:39 PM

It's not possible to respond to, hide or delete feedback anymore. Is that related to this bug?

I don't know, but if nobody fixes that in few days then the extension should be disabled (as being abandoned).

Looks like it.

Krenair raised the priority of this task from High to Unbreak Now!.Jan 4 2015, 6:27 PM
Krenair set Security to None.

Change 182694 had a related patch set uploaded (by Alex Monk):
Stop using jQuery.live

https://gerrit.wikimedia.org/r/182694

Patch-For-Review

Krenair claimed this task.Jan 4 2015, 7:05 PM

Change 182694 merged by jenkins-bot:
Stop using jQuery.live

https://gerrit.wikimedia.org/r/182694

Mattflaschen-WMF closed this task as Resolved.Jan 5 2015, 7:33 PM

It's not possible to respond to, hide or delete feedback anymore. Is that related to this bug?

Yes, in addition to T85512: Stop using 'hover' event string in Collaboration team extensions, which I'm going to do now.

Change 182871 had a related patch set uploaded (by Mattflaschen):
Stop using jQuery.live

https://gerrit.wikimedia.org/r/182871

Patch-For-Review

Change 182872 had a related patch set uploaded (by Mattflaschen):
Stop using jQuery.live

https://gerrit.wikimedia.org/r/182872

Patch-For-Review

Change 182871 merged by jenkins-bot:
Stop using jQuery.live

https://gerrit.wikimedia.org/r/182871

Change 182872 merged by jenkins-bot:
Stop using jQuery.live

https://gerrit.wikimedia.org/r/182872

This fix and the MoodBar part of T85512: Stop using 'hover' event string in Collaboration team extensions is now deployed to all Wikimedia wikis (of course, MoodBar is only enabled on a handful, as before).